> For the complete documentation index, see [llms.txt](https://doc.youverify.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://doc.youverify.co/api-reference-sdk/api-reference/signal-management.md).

# Signal Management

Youverify's Cowork Signal Management API provides programmatic access to signals generated across your compliance environment. A signal represents a detected event, pattern, or trigger — flagged activity tied to an entity that warrants attention, review, or escalation.

The API supports three core operations: retrieving a specific signal by its unique identifier, listing all events associated with a signal, and pulling all signals linked to a particular business. All requests and responses are in JSON.

### For Quick Access:

{% content-ref url="/pages/VeuFkF5AYwgaQSTNTeM4" %}
[Get Signals using ID](/api-reference-sdk/api-reference/signal-management/get-signals-using-id.md)
{% endcontent-ref %}

{% content-ref url="/pages/vLSSEyUQDY8Pbulc9ZMd" %}
[List Event using Signals ID (Cursor)](/api-reference-sdk/api-reference/signal-management/list-event-using-signals-id-cursor.md)
{% endcontent-ref %}

{% content-ref url="/pages/qlsqvNqs4zkJYsz71uTE" %}
[List Signals by Business](/api-reference-sdk/api-reference/signal-management/list-signals-by-business.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://doc.youverify.co/api-reference-sdk/api-reference/signal-management.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
